# Class VariableResolverImpl

java.lang.Object
org.apache.jasper.el.VariableResolverImpl

All Implemented Interfaces:
  `VariableResolver`

@Deprecated public final class VariableResolverImpl extends Object implements VariableResolver
Deprecated.

## Constructor Summary

Constructors
Constructor
Description
`VariableResolverImpl(ELContext ctx)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`Object`
`resolveVariable(String pName)`
Deprecated.
Resolves the specified variable.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VariableResolverImpl

public VariableResolverImpl(ELContext ctx)
Deprecated.

## Method Details

### resolveVariable

public Object resolveVariable(String pName) throws ELException
Deprecated.
Description copied from interface: `jakarta.servlet.jsp.el.VariableResolver`
Resolves the specified variable. Returns null if the variable is not found.

Specified by:
  `resolveVariable` in interface `VariableResolver`
Parameters:
  `pName` - the name of the variable to resolve
Returns:
  the result of the variable resolution
Throws:
  `ELException` - if a failure occurred while trying to resolve the given variable